For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Status
OverviewProductsManageAPI ReferenceTutorialsClient Libraries
OverviewProductsManageAPI ReferenceTutorialsClient Libraries
  • Voice Generation
    • Speech-to-Speech
  • Voice Creation
  • Voice Tools
  • Real-Time Agents
    • Overview
      • Overview
      • List Tools
      • Get Tool
      • Create Tool
      • Update Tool
      • Delete Tool
  • Safety & Detection
Status
LogoLogo
On this page
  • HTTP Request
  • URL Parameters
  • Example Request
  • Response
  • Response Body
Real-Time AgentsAgent Tools

Get Tool

Was this page helpful?
Previous

Create Tool

Next
Built with

Retrieve a specific tool by ID.

HTTP Request

$GET https://app.resemble.ai/api/v2/agents/{agent_uuid}/tools/{id}

URL Parameters

ParameterTypeDescription
agent_uuidstringThe agent’s UUID
idintegerThe tool ID

Example Request

$curl --request GET "https://app.resemble.ai/api/v2/agents/550e8400-e29b-41d4-a716-446655440000/tools/1" \
> -H "Authorization: Bearer YOUR_API_TOKEN" \
> -H "Content-Type: application/json"

Response

1{
2 "success": true,
3 "item": {
4 "id": 1,
5 "name": "check_weather",
6 "description": "Check weather for a given location",
7 "tool_type": "webhook",
8 "tool_config": {
9 "api_schema": {
10 "url": "https://api.weather.com/check",
11 "method": "GET"
12 },
13 "parameters": {},
14 "assignments": [],
15 "response_timeout_secs": 30
16 },
17 "access_info": {},
18 "usage_stats": {},
19 "active": true,
20 "created_at": "2025-01-27T10:00:00Z",
21 "updated_at": "2025-01-27T10:00:00Z"
22 }
23}

Response Body

See List Tools for detailed field descriptions.